@ECHO OFF
SETLOCAL

REM #
REM #  Script to build the obuild program in case
REM # obuild did work on itself ! (boostrap problem).
REM #
REM #  Usage :
REM #   cd some_path\obuild\<versions>\obuild
REM #   DOS\bootstrap
REM #

SET bin=..\bin_obuild

RMDIR /S /Q %bin%
MKDIR %bin%

REM # /O2 optimize
REM # /W3 warmings
SET cc_opts=/nologo /DWIN32 /MD /O2 /W3
SET cc_incs=/I ..\source\expat /I ..\source\expat\private

REM # /GR to enable RTTI and dynamic cast.
REM # /GX to enable exception handling (for STL).
SET cxx_opts=/nologo /DWIN32 /MD /GX /GR /O2 /W3
SET cxx_incs=/I ..\source /I ..\source\expat /I ..\include

SET src=..\source

REM # From expat :
cl.exe /c %cc_opts% %cc_incs% /Fo%bin%\dllmain.obj %src%\expat\dllmain.c
cl.exe /c %cc_opts% %cc_incs% /Fo%bin%\hashtable.obj %src%\expat\hashtable.c
cl.exe /c %cc_opts% %cc_incs% /Fo%bin%\xmlparse.obj %src%\expat\xmlparse.c
cl.exe /c %cc_opts% %cc_incs% /Fo%bin%\xmlrole.obj %src%\expat\xmlrole.c
cl.exe /c %cc_opts% %cc_incs% /Fo%bin%\xmltok.obj %src%\expat\xmltok.c
                   
REM # From Lib :
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\sout.obj /Tp%src%\Lib\cxx\sout.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Debug.obj /Tp%src%\Lib\cxx\Debug.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\cmanip.obj /Tp%src%\Lib\cxx\cmanip.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\smanip.obj /Tp%src%\Lib\cxx\smanip.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\fmanip.obj /Tp%src%\Lib\cxx\fmanip.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\dirmanip.obj /Tp%src%\Lib\cxx\dirmanip.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\System.obj /Tp%src%\Lib\cxx\System.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Arguments.obj /Tp%src%\Lib\cxx\Arguments.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Printer.obj /Tp%src%\Lib\cxx\Printer.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Out.obj /Tp%src%\Lib\cxx\Out.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\FileReader.obj /Tp%src%\Lib\cxx\FileReader.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\FileWriter.obj /Tp%src%\Lib\cxx\FileWriter.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\ZipReader.obj /Tp%src%\Lib\cxx\ZipReader.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Element.obj /Tp%src%\Lib\cxx\Element.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\ItemML.obj /Tp%src%\Lib\cxx\ItemML.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\BaseML.obj /Tp%src%\Lib\cxx\BaseML.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Upgrader.obj /Tp%src%\Lib\cxx\Upgrader.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Time.obj /Tp%src%\Lib\cxx\Time.cxx

GOTO BOOTSTRAP_BYPASS
:BOOTSTRAP_BYPASS

REM # From obuild :
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Builder.obj /Tp%src%\Builder.cxx
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\Shell.obj /Tp%src%\Shell.cxx

REM # Application :
cl.exe /c %cxx_opts% %cxx_incs% /Fo%bin%\obuild.obj /Tp..\applications\obuild.cxx

link.exe /nologo /out:%bin%\obuild.exe %bin%\obuild.obj %bin%\Builder.obj %bin%\Shell.obj %bin%\sout.obj %bin%\Debug.obj %bin%\cmanip.obj %bin%\smanip.obj %bin%\fmanip.obj %bin%\dirmanip.obj %bin%\System.obj %bin%\Arguments.obj %bin%\Printer.obj %bin%\Out.obj %bin%\FileReader.obj %bin%\FileWriter.obj %bin%\ZipReader.obj %bin%\Element.obj %bin%\ItemML.obj %bin%\BaseML.obj %bin%\Upgrader.obj %bin%\Time.obj %bin%\dllmain.obj %bin%\hashtable.obj %bin%\xmlparse.obj %bin%\xmlrole.obj %bin%\xmltok.obj

DEL /S /Q %bin%\*.obj

ENDLOCAL
@ECHO ON
