@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package osc_obuild with version 16.11.8.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build
REM # or :
REM #   DOS> call DOS\build.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_osc_obuild_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_osc_obuild_path=%obuild_osc_obuild_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no

SET obuild_group=main

SET obuild_args=

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   build [Options]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -x : execute with ECHO ON"
  ECHO   -* : passed to packages build script.
  ECHO
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SET obuild_args=%obuild_args% -v
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-x" GOTO end_if_x
  ECHO ON
  SET obuild_args=%obuild_args% -x
  SHIFT
  GOTO next_arg
:end_if_x

IF NOT "%1%" == "-group" GOTO end_if_group
  SET obuild_args=%obuild_args% %1%
  SHIFT
  SET obuild_args=%obuild_args% %1%
  SET obuild_group=%1%
  SHIFT
  GOTO next_arg
:end_if_group

SET obuild_args=%obuild_args% %1%
SHIFT
GOTO next_arg

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_obuild_0=%%d

IF NOT EXIST "%obuild_osc_obuild_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_obuild_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_osc_obuild_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_osc_obuild_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_obuild_1=%%d
cd "%obuild_osc_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  obuild v1r10p0`) DO SET obuild_obuild_path=%%j
cd "%obuild_pwd_osc_obuild_1%"
SET obuild_pwd_osc_obuild_1=
IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return

cd "%obuild_obuild_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build obuild/v1r10p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_obuild_1=%%d
cd "%obuild_osc_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  foreign v1r10p0`) DO SET obuild_foreign_path=%%j
cd "%obuild_pwd_osc_obuild_1%"
SET obuild_pwd_osc_obuild_1=
IF NOT DEFINED obuild_foreign_path  ECHO Can't find foreign package.  && GOTO obuild_return

cd "%obuild_foreign_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build foreign/v1r10p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_obuild_1=%%d
cd "%obuild_osc_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  osc_source 16.11.8`) DO SET obuild_osc_source_path=%%j
cd "%obuild_pwd_osc_obuild_1%"
SET obuild_pwd_osc_obuild_1=
IF NOT DEFINED obuild_osc_source_path  ECHO Can't find osc_source package.  && GOTO obuild_return

cd "%obuild_osc_source_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build osc_source/16.11.8 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 


cd "%obuild_pwd_osc_obuild_0%"
SET obuild_pwd_osc_obuild_0=
:obuild_return
ENDLOCAL
@ECHO ON
